> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/v21/api-reference/infrastructure/connection-brokers/status.md).

# Status

## List

> Retrieve a list of RAS Connection Broker servers with status information.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/ConnectionBroker/status":{"get":{"tags":["0-Infrastructure/Connection Brokers//Status"],"summary":"List","description":"Retrieve a list of RAS Connection Broker servers with status information.","operationId":"8718d63e-0717-451e-a8e1-39bf0ea6f2f6","parameters":[{"name":"SiteId","in":"query","description":"Site ID for which to retrieve the RAS Connection Broker server information (optional)","schema":{"type":"integer","format":"int32"}},{"name":"Server","in":"query","description":"Filter the result by server name (optional)","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ConnectionBrokerSysInfo"}}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ConnectionBrokerSysInfo":{"type":"object","properties":{"id":{"type":"string","description":"<para type=\"description\">ID of RAS Agent.</para>","nullable":true},"siteId":{"type":"integer","description":"<para type=\"description\">ID of Site.</para>","format":"int32"},"agentState":{"$ref":"#/components/schemas/AgentState"},"serverType":{"$ref":"#/components/schemas/RASServerType"},"agentVer":{"type":"string","description":"<para type=\"description\">Agent Version.</para>","nullable":true},"server":{"type":"string","description":"<para type=\"description\">Server name.</para>","nullable":true},"serverOS":{"type":"string","description":"<para type=\"description\">Server Operating System.</para>","nullable":true},"serviceStartTime":{"type":"string","description":"<para type=\"description\">Service start time.</para>","nullable":true},"systemBootTime":{"type":"string","description":"<para type=\"description\">System boot time.</para>","nullable":true},"unhandledExceptions":{"type":"integer","description":"<para type=\"description\">Number of unhandled exceptions.</para>","format":"int32"},"machineId":{"type":"string","description":"<para type=\"description\">Id of the machine</para>","nullable":true},"logLevel":{"$ref":"#/components/schemas/RASLogLevel"},"cpuLoad":{"type":"integer","description":"<para type=\"description\">CPU load percentage.</para>","format":"int32"},"memLoad":{"type":"integer","description":"<para type=\"description\">Memory load percentage.</para>","format":"int32"},"diskRead":{"type":"integer","description":"<para type=\"description\">Disk Read.</para>","format":"int32"},"diskWrite":{"type":"integer","description":"<para type=\"description\">Disk Write.</para>","format":"int32"},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the object is enabled or not.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Connection Broker System Information</para>\r\n<para type=\"description\"></para>"},"AgentState":{"enum":[["0 = OK","1 = EnumSessionsFailed","2 = RDSRoleDisabled","3 = MaxNonCompletedSessions","4 = RASScheduleInProgress","5 = ConnectionFailed","6 = InvalidCredentials","7 = NeedsSysprep","8 = SysPrepInProgress","9 = CloningFailed","10 = Synchronising","13 = LogonDrainUntilRestart","14 = LogonDrain","15 = LogonDisabled","16 = ForcedDisconnect","17 = CloningCanceled","18 = RASprepInProgress","20 = InstallingRDSRole","21 = RebootPending","22 = PortMismatch","23 = NeedsDowngrade","24 = NotApplied","25 = CloningInProgress","26 = MarkedForDeletion","27 = StandBy","28 = UnsupportedVDIType","29 = FreeESXLicenseNotSupported","30 = ManagedESXNotSupported","32 = InvalidHostVersion","33 = NotJoined","35 = LicenseExpired","36 = JoinBroken","37 = InUse","38 = NotInUse","39 = Unsupported","40 = NoAvailableGateways","41 = EnrollServerNotInitialized","42 = EnrollmentUnavailable","43 = InvalidCAConfig","44 = InvalidEAUserCredentials","45 = InvalidESSettings","46 = FSLogixNotAvail","47 = NoDevices","48 = NeedsAttention","49 = ImageOptimizationPending","50 = ImageOptimization","51 = Unavailable","52 = UnderConstruction","53 = Broken","54 = NonRAS","55 = Provisioning","56 = Invalid","57 = FSLogixNeedsUpdate","58 = NoMembersAvailable","59 = MembersNeedUpdate","60 = FailedPerfCounters","61 = PendingRecreation","62 = RemovingMembers","63 = AddingMembers","64 = DeleteInProgress","65 = RestrictedAddress","66 = JoiningToHostPool","67 = AutoUpgradeInProgress","68 = AutoUpgradeInitiated","69 = ReplicaMigrationInProgress","70 = InvalidRegistrationCertificate","1006 = AzureStateInstallGuestAgent","-8 = AutoUpgradeLimitReached","-7 = AutoUpgradeFailed","-6 = Unknown","-5 = NeedsUpdate","-4 = NotVerified","-3 = ServerDeleted","-2 = DisabledFromSettings","-1 = Disconnected"]],"type":"string","description":"<para type=\"synopsis\">Agent State</para>\r\n<para type=\"description\"></para>","format":"int32"},"RASServerType":{"enum":[["1 = RDSHost","2 = Provider","3 = Gateway","4 = Guest","7 = ConnectionBroker","9 = Site","10 = VDIHostPool","16 = RDSHostPool","25 = HALBDevice","45 = TenantBroker","46 = Enrollment","51 = HALB","64 = AVDWorkspace","65 = AVDHostPool","66 = AVDTemplate","67 = AVDHost","95 = VDITemplateVersion","96 = AVDTemplateVersion","97 = RDSTemplateVersion","107 = RDSTemplate","108 = VDITemplate","2013 = VDIHost","-1 = All"]],"type":"string","description":"<para type=\"synopsis\">RAS Status Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"RASLogLevel":{"enum":[["3 = Standard","4 = Extended","5 = Verbose","-1 = None"]],"type":"string","description":"<para type=\"synopsis\">RAS Log Level</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Get

> Retrieve status information for a specified RAS Connection Broker server.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/ConnectionBroker/{id}/status":{"get":{"tags":["0-Infrastructure/Connection Brokers//Status"],"summary":"Get","description":"Retrieve status information for a specified RAS Connection Broker server.","operationId":"07dc271c-9a91-4536-8728-65fd148a16ef","parameters":[{"name":"id","in":"path","description":"RAS Connection Broker server ID","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ConnectionBrokerSysInfo"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ConnectionBrokerSysInfo":{"type":"object","properties":{"id":{"type":"string","description":"<para type=\"description\">ID of RAS Agent.</para>","nullable":true},"siteId":{"type":"integer","description":"<para type=\"description\">ID of Site.</para>","format":"int32"},"agentState":{"$ref":"#/components/schemas/AgentState"},"serverType":{"$ref":"#/components/schemas/RASServerType"},"agentVer":{"type":"string","description":"<para type=\"description\">Agent Version.</para>","nullable":true},"server":{"type":"string","description":"<para type=\"description\">Server name.</para>","nullable":true},"serverOS":{"type":"string","description":"<para type=\"description\">Server Operating System.</para>","nullable":true},"serviceStartTime":{"type":"string","description":"<para type=\"description\">Service start time.</para>","nullable":true},"systemBootTime":{"type":"string","description":"<para type=\"description\">System boot time.</para>","nullable":true},"unhandledExceptions":{"type":"integer","description":"<para type=\"description\">Number of unhandled exceptions.</para>","format":"int32"},"machineId":{"type":"string","description":"<para type=\"description\">Id of the machine</para>","nullable":true},"logLevel":{"$ref":"#/components/schemas/RASLogLevel"},"cpuLoad":{"type":"integer","description":"<para type=\"description\">CPU load percentage.</para>","format":"int32"},"memLoad":{"type":"integer","description":"<para type=\"description\">Memory load percentage.</para>","format":"int32"},"diskRead":{"type":"integer","description":"<para type=\"description\">Disk Read.</para>","format":"int32"},"diskWrite":{"type":"integer","description":"<para type=\"description\">Disk Write.</para>","format":"int32"},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether the object is enabled or not.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Connection Broker System Information</para>\r\n<para type=\"description\"></para>"},"AgentState":{"enum":[["0 = OK","1 = EnumSessionsFailed","2 = RDSRoleDisabled","3 = MaxNonCompletedSessions","4 = RASScheduleInProgress","5 = ConnectionFailed","6 = InvalidCredentials","7 = NeedsSysprep","8 = SysPrepInProgress","9 = CloningFailed","10 = Synchronising","13 = LogonDrainUntilRestart","14 = LogonDrain","15 = LogonDisabled","16 = ForcedDisconnect","17 = CloningCanceled","18 = RASprepInProgress","20 = InstallingRDSRole","21 = RebootPending","22 = PortMismatch","23 = NeedsDowngrade","24 = NotApplied","25 = CloningInProgress","26 = MarkedForDeletion","27 = StandBy","28 = UnsupportedVDIType","29 = FreeESXLicenseNotSupported","30 = ManagedESXNotSupported","32 = InvalidHostVersion","33 = NotJoined","35 = LicenseExpired","36 = JoinBroken","37 = InUse","38 = NotInUse","39 = Unsupported","40 = NoAvailableGateways","41 = EnrollServerNotInitialized","42 = EnrollmentUnavailable","43 = InvalidCAConfig","44 = InvalidEAUserCredentials","45 = InvalidESSettings","46 = FSLogixNotAvail","47 = NoDevices","48 = NeedsAttention","49 = ImageOptimizationPending","50 = ImageOptimization","51 = Unavailable","52 = UnderConstruction","53 = Broken","54 = NonRAS","55 = Provisioning","56 = Invalid","57 = FSLogixNeedsUpdate","58 = NoMembersAvailable","59 = MembersNeedUpdate","60 = FailedPerfCounters","61 = PendingRecreation","62 = RemovingMembers","63 = AddingMembers","64 = DeleteInProgress","65 = RestrictedAddress","66 = JoiningToHostPool","67 = AutoUpgradeInProgress","68 = AutoUpgradeInitiated","69 = ReplicaMigrationInProgress","70 = InvalidRegistrationCertificate","1006 = AzureStateInstallGuestAgent","-8 = AutoUpgradeLimitReached","-7 = AutoUpgradeFailed","-6 = Unknown","-5 = NeedsUpdate","-4 = NotVerified","-3 = ServerDeleted","-2 = DisabledFromSettings","-1 = Disconnected"]],"type":"string","description":"<para type=\"synopsis\">Agent State</para>\r\n<para type=\"description\"></para>","format":"int32"},"RASServerType":{"enum":[["1 = RDSHost","2 = Provider","3 = Gateway","4 = Guest","7 = ConnectionBroker","9 = Site","10 = VDIHostPool","16 = RDSHostPool","25 = HALBDevice","45 = TenantBroker","46 = Enrollment","51 = HALB","64 = AVDWorkspace","65 = AVDHostPool","66 = AVDTemplate","67 = AVDHost","95 = VDITemplateVersion","96 = AVDTemplateVersion","97 = RDSTemplateVersion","107 = RDSTemplate","108 = VDITemplate","2013 = VDIHost","-1 = All"]],"type":"string","description":"<para type=\"synopsis\">RAS Status Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"RASLogLevel":{"enum":[["3 = Standard","4 = Extended","5 = Verbose","-1 = None"]],"type":"string","description":"<para type=\"synopsis\">RAS Log Level</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/v21/api-reference/infrastructure/connection-brokers/status.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
